
package com.experianpayments.bankwizard.wsdl.bankwizardservice_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "BankWizard_v1_1_Service", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1", wsdlLocation = "file:/D:/experian2/wsdl/BankWizardService-v1.wsdl")
public class BankWizardV11Service
    extends Service
{

    private final static URL BANKWIZARDV11SERVICE_WSDL_LOCATION;
    private final static WebServiceException BANKWIZARDV11SERVICE_EXCEPTION;
    private final static QName BANKWIZARDV11SERVICE_QNAME = new QName("http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1", "BankWizard_v1_1_Service");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/D:/experian2/wsdl/BankWizardService-v1.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        BANKWIZARDV11SERVICE_WSDL_LOCATION = url;
        BANKWIZARDV11SERVICE_EXCEPTION = e;
    }

    public BankWizardV11Service() {
        super(__getWsdlLocation(), BANKWIZARDV11SERVICE_QNAME);
    }

    public BankWizardV11Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), BANKWIZARDV11SERVICE_QNAME, features);
    }

    public BankWizardV11Service(URL wsdlLocation) {
        super(wsdlLocation, BANKWIZARDV11SERVICE_QNAME);
    }

    public BankWizardV11Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, BANKWIZARDV11SERVICE_QNAME, features);
    }

    public BankWizardV11Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public BankWizardV11Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns BankWizardV11PortType
     */
    @WebEndpoint(name = "BankWizard_v1_1_0_Port")
    public BankWizardV11PortType getBankWizardV110Port() {
        return super.getPort(new QName("http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1", "BankWizard_v1_1_0_Port"), BankWizardV11PortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns BankWizardV11PortType
     */
    @WebEndpoint(name = "BankWizard_v1_1_0_Port")
    public BankWizardV11PortType getBankWizardV110Port(WebServiceFeature... features) {
        return super.getPort(new QName("http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1", "BankWizard_v1_1_0_Port"), BankWizardV11PortType.class, features);
    }

    private static URL __getWsdlLocation() {
        if (BANKWIZARDV11SERVICE_EXCEPTION!= null) {
            throw BANKWIZARDV11SERVICE_EXCEPTION;
        }
        return BANKWIZARDV11SERVICE_WSDL_LOCATION;
    }

}
